Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.math.model
Class JavaFormatter

    java.lang.Object
      ru.biosoft.math.model.LinearFormatter
          ru.biosoft.math.model.PiecewiseExtFormatter
              ru.biosoft.math.model.JavaFormatter

All Implemented Interfaces:
  Formatter

public class JavaFormatter
extends PiecewiseExtFormatter

Created by IntelliJ IDEA. User: bober Date: 25.09.2004 Time: 14:25:08 To change this template use Options | File Templates.

Field Summary
`protected static java.util.HashMap` | `badFuncNames`
`protected java.util.List` | `usedVariableList`

Fields inherited from class ru.biosoft.math.model.PiecewiseExtFormatter
`auxVariableCounter, auxVariableName`

Fields inherited from class ru.biosoft.math.model.LinearFormatter
`endl, result`

Constructor Summary
`JavaFormatter(java.util.List usedVariableList)`

Method Summary
`protected java.lang.String` | `getFunctionName(java.lang.String name)`
`protected void` | `processElseIf(AstPiece node)`
`protected void` | `processFunction(AstFunNode node)`
`protected void` | `processFunctionDeclaration(AstFunctionDeclaration node)`
`protected void` | `processIf(AstPiece node)`
`protected void` | `processOtherwise(AstPiece node)`
`protected void` | `processPiecewiseBegin(Node node)` Auxiliary variables initialization
`protected void` | `processPiecewiseEnd(Node node)` Prints some final keyword if necessary

Methods inherited from class ru.biosoft.math.model.PiecewiseExtFormatter
`format, processPiecewise, resetVariableCounter`

Methods inherited from class ru.biosoft.math.model.LinearFormatter
`needParenthis, processConstant, processNode, processPiece, processVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### usedVariableList

    protected java.util.List usedVariableList

### badFuncNames

    protected static java.util.HashMap badFuncNames

Constructor Detail

### JavaFormatter

    public JavaFormatter(java.util.List usedVariableList)

Method Detail

### getFunctionName

    protected java.lang.String getFunctionName(java.lang.String name)

  Overrides:
    `getFunctionName` in class `LinearFormatter`

### processFunction

    protected void processFunction(AstFunNode node)

  Overrides:
    `processFunction` in class `LinearFormatter`

### processFunctionDeclaration

    protected void processFunctionDeclaration(AstFunctionDeclaration node)

  Overrides:
    `processFunctionDeclaration` in class `LinearFormatter`

### processIf

    protected void processIf(AstPiece node)

  Specified by:
    `processIf` in class `PiecewiseExtFormatter`

### processElseIf

    protected void processElseIf(AstPiece node)

  Specified by:
    `processElseIf` in class `PiecewiseExtFormatter`

### processOtherwise

    protected void processOtherwise(AstPiece node)

  Specified by:
    `processOtherwise` in class `PiecewiseExtFormatter`

### processPiecewiseEnd

    protected void processPiecewiseEnd(Node node)

  Description copied from class: `PiecewiseExtFormatter`
  Prints some final keyword if necessary

  Specified by:
    `processPiecewiseEnd` in class `PiecewiseExtFormatter`

### processPiecewiseBegin

    protected void processPiecewiseBegin(Node node)

  Description copied from class: `PiecewiseExtFormatter`
  Auxiliary variables initialization

  Specified by:
    `processPiecewiseBegin` in class `PiecewiseExtFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.